{% extends 'base.html.twig' %}

{% block title %}
	{{ parent() }} - Import Menu
{% endblock %}

{% block body %}
	<style>
		.example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; } .example-wrapper
		code { background: #F5F5F5; padding: 2px 6px; }
	</style>

	<div class="example-wrapper">
		<h1>
			Orders 
		</h1>
	<table class="table">
	<thead>
		<tr>
		<th scope="col">Choisir</th>
		<th scope="col">#</th>
		<th scope="col">Référence</th>
		<th scope="col">Quantité</th>
		</tr>
	</thead>
	<tbody>
		{% for product in products %}
		<tr>
			{% set selected = false %}
			{% for selectedItem in selectedOrders %}
				{% if selectedItem[0] == product.id %}
					{% set selected = true %}
				{% endif %}
			{% endfor %}
			<th>
				<input type="checkbox" {% if selected %}checked{% endif %}>
			</th>
			<th scope="row">{{ product.id }}</th>
			<td>{{ product.name }}</td>
			<td><input type="text" value="{{ product.quantity }}"</td>
		</tr>
		{% endfor %}
	</tbody>
</table>
	</div>
{% endblock %}

{% block javascripts %}
	{{ parent() }}
	<script src="{{ asset('js/fileuploader.js') }}"></script>
{% endblock %}
